﻿@model DashboardViewModel
@{
    ViewBag.ActiveTab = "Dashboard";
}

<h5 class="fw-bold my-4"> My Projects</h5>

@if(Model.Projects.Count == 0)
{
    <p> There is no project in this workspace.</p>
    @if (ViewBag.CreateProject)
    {
        <button class="btn btn-sm bg-success-subtle text-success" onclick="openCreateProjectModal()">Create New</button>

    }
}
<div class="row dashboard-project-list mt-3">

    @foreach (var project in Model.Projects)
    {
        <div class="col-md-6 col-lg-4 d-flex align-items-stretch">
            <a class="w-100" asp-controller="project" asp-action="" asp-route-id="@project.Id">
                <div class="card w-100 project-card">
                    <div class="card-header text-ellipsis fw-bold py-2">
                        @await Html.PartialAsync("~/Views/Project/_ProjectStatus.cshtml", project.CurrentStatus)
                    </div>
                    <div class="card-body pt-2">
                        <div class="clearfix"></div>
                        <div>
                            <h5 class="fw-bold text-ellipsis">  @project.Name</h5>
                            <p class="card-text project-descr text-dark">
                                @{
                                    if (project.Description.Length > 120)
                                    {
                                        <text>@project.Description.Substring(0, 120) ...</text>
                                    }
                                    else
                                    {
                                        <text>@project.Description</text>
                                    }
                                }
                            </p>
                        </div>

                    </div>
                </div>
            </a>
          
        </div>
    }

</div>